Arch: Edificio

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Arch Building and the translation is 44% complete.

Outdated translations are marked like this.
Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎日本語 • ‎română • ‎русский • ‎svenska • ‎українська
Arrow-left.svg Arch BuildingPart.svg Building Part Previous:
Next: Site Arch Site.svg Arrow-right.svg

Arch Building.svg Edificio

Posizione nel menu
Arch → Edificio
Ambiente
Architettura
Avvio veloce
B U
Introdotto nella versione
-
Vedere anche
Cella, Piano, Sito


Descrizione

L'Edificio di Arch è un gruppo speciale di oggetti di FreeCAD particolarmente adatto per rappresentare un edificio completo. Viene prevalentemente utilizzato per organizzare gli oggetti Piano nel modello che li contiene.

Utilizzo

  1. Selezionare uno o più oggetti da includere nel nuovo edificio
  2. Premere il pulsante Arch Building.png Edificio, oppure premere i tasti B e U

Opzioni

  • A partire dalla versione 0.18 di FreeCAD, l'oggetto Edificio è in realtà una Parte di edificio con la proprietà IFC role impostata su "Building". È possibile convertire qualsiasi BuildingPart, Parte di edificio, in un edificio semplicemente modificando il suo ruolo IFC.
  • Dopo aver creato un edificio, è possibile aggiungere ad esso altri oggetti con il drag-and-drop nella struttura ad albero o utilizzando lo strumento Arch Add.png Aggiungi
  • È possibile rimuovere gli oggetti da un edificio trascinandoli fuori con il drag-and-drop nella vista ad albero o utilizzando lo strumento Arch Remove.png Rimuovi

Proprietà

  • DATABuilding Type: Il tipo di edificio, da scegliere da una lista

Script

Lo strumento Edificio può essere utilizzato nelle macro e dalla console python utilizzando la seguente funzione:

Building = makeBuilding(objectslist=None, baseobj=None, name="Building")
Crea un Edificio che include gli oggetti della lista fornita

Esempio:

import FreeCAD, Draft, Arch

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(2000, 0, 0)
baseline = Draft.makeLine(p1, p2)
baseline2 = Draft.makeLine(p1, -1*p2)

Wall1 = Arch.makeWall(baseline, length=None, width=150, height=2000)
Wall2 = Arch.makeWall(baseline2, length=None, width=150, height=1800)
FreeCAD.ActiveDocument.recompute()

Building = Arch.makeBuilding([Wall1, Wall2])

Site = Arch.makeSite(Building)
FreeCAD.ActiveDocument.recompute()